package com.rjconsultores.ventaboletos.relatorios.impl;

import java.sql.Connection;
import java.util.List;
import java.util.Map;

import com.rjconsultores.ventaboletos.relatorios.utilitarios.Relatorio;
import com.rjconsultores.ventaboletos.utilerias.impressaormd.vo.ImpressaoRMD;

import net.sf.jasperreports.engine.data.JRBeanCollectionDataSource;

public class RelatorioImpressaoRmdBpr extends Relatorio {

	@SuppressWarnings("unchecked")
	public RelatorioImpressaoRmdBpr(final Map<String, Object> parametros, Connection conexao) throws Exception {
		super(parametros, conexao);

		this.setCustomXls(true);
		
		List<ImpressaoRMD> list = (List<ImpressaoRMD>) parametros.get("list");
		this.setCollectionDataSource(new JRBeanCollectionDataSource(list));
	}

	@Override
	protected void processaParametros() throws Exception {
	}

}
